These are chat archives for mirumee/saleor

13th
Nov 2015
Cephlin
@Cephlin
Nov 13 2015 14:37

I'm trying to install the latest and greatest on Ubuntu 14.04 LTS and I'm getting the following error:

npm http 200 https://registry.npmjs.org/defined/-/defined-1.0.0.tgz
npm http 200 https://registry.npmjs.org/acorn/-/acorn-1.2.2.tgz
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /home/joeblogs/Projects/Python/my_project/npm-debug.log
npm ERR! not ok code 0

I've installed the following packages:

sudo apt-get install python-dev libxml2 libxml2-dev libxslt-dev node npm
pip install lxml

Installing the requirements worked fine, migrating the db and creating a super user worked fine, now I'm trying to migrate the assets using:

npm install # This is failing
./node_modules/.bin/bower install

So I checked the log file for npm-debug.log and it doesn't exist...

Update: I just tried to run npm install again and it has given me these errors:

npm ERR! System Linux 3.16.0-53-generic
npm ERR! command "/usr/bin/nodejs" "/usr/bin/npm" "install"
npm ERR! cwd /home/joeblogs/Projects/Python/my_project
npm ERR! node -v v0.10.25
npm ERR! npm -v 1.3.10
npm ERR! path /home/joeblogs/Projects/Python/my_project/node_modules/grunt-sass/node_modules/node-sass/node_modules/gaze/node_modules/globule/node_modules/lodash/dist/lodash.underscore.js
npm ERR! fstream_path /home/joeblogs/Projects/Friday/Python/my_project/node_modules/grunt-sass/node_modules/node-sass/node_modules/gaze/node_modules/globule/node_modules/lodash/dist/lodash.underscore.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/lib/nodejs/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! Error: ENOENT, lstat '/home/joeblogs/tmp/npm-15593-EltWlFAW/1447425797358-0.9874162345658988/package/public/fonts/source-sans/sourcesanspro-bold-webfont.svg'
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Linux 3.16.0-53-generic
npm ERR! command "/usr/bin/nodejs" "/usr/bin/npm" "install"
npm ERR! cwd /home/joeblogs/Projects/Python/crystal_nebulae
npm ERR! node -v v0.10.25
npm ERR! npm -v 1.3.10
npm ERR! path /home/joeblogs/tmp/npm-15593-EltWlFAW/1447425797358-0.9874162345658988/package/public/fonts/source-sans/sourcesanspro-bold-webfont.svg
npm ERR! fstream_path /home/joeblogs/tmp/npm-15593-EltWlFAW/1447425797358-0.9874162345658988/package/public/fonts/source-sans/sourcesanspro-bold-webfont.svg
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/lib/nodejs/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /home/joeblogs/Projects/Python/my_project/npm-debug.log
npm ERR! not ok code 0
Patryk Zawadzki
@patrys
Nov 13 2015 15:04
oh, hi
Cephlin
@Cephlin
Nov 13 2015 15:04
:)
That's why I'm asking
Node issues
Patryk Zawadzki
@patrys
Nov 13 2015 15:05
it seems it tried to access /home/joeblogs/tmp/npm-15593-EltWlFAW/1447425797358-0.9874162345658988/package/public/fonts/source-sans/sourcesanspro-bold-webfont.svg but the file is not there
or its parent directory
Cephlin
@Cephlin
Nov 13 2015 15:06
But they are all temp files
So what should create them?
Patryk Zawadzki
@patrys
Nov 13 2015 15:06
yeah, these are used by npm during installation
I'd start by checking whether there is enough disk space
Cephlin
@Cephlin
Nov 13 2015 15:07
Plenty
Patryk Zawadzki
@patrys
Nov 13 2015 15:07
is that the only output npm gives you?
Cephlin
@Cephlin
Nov 13 2015 15:07
Filesystem      Size  Used Avail Use% Mounted on
/dev/sda6        63G   25G   34G  43% /
none            4.0K     0  4.0K   0% /sys/fs/cgroup
udev            7.8G  4.0K  7.8G   1% /dev
tmpfs           1.6G  1.3M  1.6G   1% /run
none            5.0M     0  5.0M   0% /run/lock
none            7.8G  524K  7.8G   1% /run/shm
none            100M   36K  100M   1% /run/user
I'll pastebin the logs
output*
Patryk Zawadzki
@patrys
Nov 13 2015 15:14
do you have nodejs-legacy installed?
Cephlin
@Cephlin
Nov 13 2015 15:15
I'll check but I didn't install it myself
So unless it's already on Ubuntu 14.04 LTS
Patryk Zawadzki
@patrys
Nov 13 2015 15:15
there are some problems with node on debian systems when it's not available as node binary
Cephlin
@Cephlin
Nov 13 2015 15:15
No
Ah ok
Screw you debian! :p
Patryk Zawadzki
@patrys
Nov 13 2015 15:15
check if that helps
Cephlin
@Cephlin
Nov 13 2015 15:15
Will do
Out of curiosity what OS do you dev on at mirumee?
Patryk Zawadzki
@patrys
Nov 13 2015 15:16
most of us run ubuntu, I personally prefer fedora
Cephlin
@Cephlin
Nov 13 2015 15:16
Okay cool
Thanks for your help patrys
Patryk Zawadzki
@patrys
Nov 13 2015 15:17
if you need any help feel free to either bug me directly or (preferably) open an issue on GitHub so more of us can help
Cephlin
@Cephlin
Nov 13 2015 15:17
Awesome
Thanks
It worked
Patryk Zawadzki
@patrys
Nov 13 2015 15:18
glad to hear, I'll update the docs
and done
Cephlin
@Cephlin
Nov 13 2015 15:22
Looks great
Cheers